Bug 104706 - Make "Clear Direct Formatting" Icon Available for Calc
Summary: Make "Clear Direct Formatting" Icon Available for Calc
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low enhancement
Assignee: Yousuf Philips (jay)
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.3
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-16 08:24 UTC by Kumāra
Modified: 2017-05-02 10:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kumāra 2016-12-16 08:24:45 UTC
In Writer, the icon for Clear Direct Formatting is available for adding to a toolbar, but in Calc it's not available.

Please make it available. Thanks!

(Current workaround: Edit the text "Clear Direct Formatting" in place for the icon as "xFrmt" so that it takes little space while being identifiable.)
Comment 1 Heiko Tietze 2016-12-18 10:40:08 UTC Comment hidden (obsolete)
Comment 2 Heiko Tietze 2016-12-18 10:40:26 UTC
True, there should be an icon.

As a workaround you can change the icon yourself per Tools > Customize. Click Modify:Change Icon... for the selected command.
Comment 3 Kumāra 2016-12-19 05:57:22 UTC
(In reply to Heiko Tietze from comment #2)
> True, there should be an icon.

Yup, and there's no need to make a new one. Just use the same as the one in Writer.
 
> As a workaround you can change the icon yourself per Tools > Customize.
> Click Modify:Change Icon... for the selected command.

Thanks for the idea. I can't find the one used in Writer, but found one suggestive enough.
Comment 4 Yousuf Philips (jay) 2017-04-06 15:45:20 UTC
Icon was present but Calc command was set to not show it.

https://gerrit.libreoffice.org/36221
Comment 5 Commit Notification 2017-04-06 20:57:53 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=54f6a0fe470096f6bdc3942e9f3032e40dbfcd23

tdf#104706 Enable icon for Clear Direct Formatting command

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-04-07 03:52:51 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bb8b699f217dd0d0f25e4efb37ef5380074c61ca&h=libreoffice-5-3

tdf#104706 Enable icon for Clear Direct Formatting command

It will be available in 5.3.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Kumāra 2017-05-02 10:38:51 UTC
Thanks, Yousuf.